Name | Type | Default |
autoHeight
|
Boolean
|
false
|
Sets or gets the autoHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [autoHeight]="true"> </jqxListBox> `}) export class AppComponent {
|
allowDrag
|
Boolean
|
false
|
Sets or gets the allowDrag property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [allowDrag]="true"> </jqxListBox> `}) export class AppComponent {
|
allowDrop
|
Boolean
|
false
|
Sets or gets the allowDrop property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [allowDrop]="true"> </jqxListBox> `}) export class AppComponent {
|
checkboxes
|
Boolean
|
false
|
Sets or gets the checkboxes property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [checkboxes]="true"> </jqxListBox> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [disabled]="true"> </jqxListBox> `}) export class AppComponent {
|
displayMember
|
String | Number
|
""
|
Sets or gets the displayMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [displayMember]="'text'"> </jqxListBox> `}) export class AppComponent {
|
dropAction
|
enum:ListBoxDropAction
|
'default'.
|
enum ListBoxDropAction { default, copy, none } Sets or gets the dropAction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [dropAction]="'copy'"> </jqxListBox> `}) export class AppComponent {
|
dragStart
|
(item:Any) => Boolean
|
null
|
Sets or gets the dragStart property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [dragStart]="dragStart"> </jqxListBox> `}) export class AppComponent {
|
dragEnd
|
(dragItem: Any, dropItem: Any) => Boolean
|
null
|
Sets or gets the dragEnd property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [dragEnd]="dragEnd"> </jqxListBox> `}) export class AppComponent {
|
enableHover
|
Boolean
|
true
|
Sets or gets the enableHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [enableHover]="false"> </jqxListBox> `}) export class AppComponent {
|
enableSelection
|
Boolean
|
true
|
Sets or gets the enableSelection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [enableSelection]="false"> </jqxListBox> `}) export class AppComponent {
|
equalItemsWidth
|
Boolean
|
true
|
Sets or gets the equalItemsWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [equalItemsWidth]="false"> </jqxListBox> `}) export class AppComponent {
|
filterable
|
Boolean
|
false
|
Sets or gets the filterable property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [filterable]="true"> </jqxListBox> `}) export class AppComponent {
|
filterHeight
|
Number
|
27
|
Sets or gets the filterHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [filterable]="true" [filterHeight]="30"> </jqxListBox> `}) export class AppComponent {
|
filterDelay
|
String | Number
|
100
|
Sets or gets the filterDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [filterable]="true" [filterDelay]="300"> </jqxListBox> `}) export class AppComponent {
|
filterPlaceHolder
|
String | Number
|
"Looking for"
|
Sets or gets the filterPlaceHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [filterable]="true" [filterPlaceHolder]="'Filtering...'"> </jqxListBox> `}) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent {
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets the hasThreeStates property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [hasThreeStates]="true"> </jqxListBox> `}) export class AppComponent {
|
itemHeight
|
Number
|
-1
|
Sets or gets the itemHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [itemHeight]="30"> </jqxListBox> `}) export class AppComponent {
|
incrementalSearch
|
Boolean
|
true
|
Sets or gets the incrementalSearch property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [incrementalSearch]="false"> </jqxListBox> `}) export class AppComponent {
|
incrementalSearchDelay
|
String | Number
|
700
|
Sets or gets the incrementalSearchDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [incrementalSearchDelay]="150"> </jqxListBox> `}) export class AppComponent {
|
multiple
|
Boolean
|
false
|
Sets or gets the multiple property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [multiple]="true"> </jqxListBox> `}) export class AppComponent {
|
multipleextended
|
Boolean
|
false
|
Sets or gets the multipleextended property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [multipleextended]="true"> </jqxListBox> `}) export class AppComponent {
|
renderer
|
(index: Number, label: String | Number, value: String | Number) => String
|
null
|
Sets or gets the renderer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [renderer]="renderer"> </jqxListBox> `}) export class AppComponent {
|
rendered
|
() => Any
|
null
|
Sets or gets the rendered property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [rendered]="rendered"> </jqxListBox> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [rtl]="true"> </jqxListBox> `}) export class AppComponent {
|
selectedIndex
|
String | Number
|
-1
|
Sets or gets the selectedIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [selectedIndex]="2"> </jqxListBox> `}) export class AppComponent {
|
selectedIndexes
|
Any
|
|
Sets or gets the selectedIndexes property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [selectedIndex]="selectedIndex"> </jqxListBox> `}) export class AppComponent {
|
source
|
Array<Any>
|
null
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent {
|
scrollBarSize
|
Number
|
17
|
Sets or gets the scrollBarSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [scrollBarSize]="15"> </jqxListBox> `}) export class AppComponent {
|
searchMode
|
enum:ListBoxSearchMode
|
startswith
|
enum ListBoxSearchMode { none, contains, containsignorecase, equals, equalsignorecase, startswithignorecase, startswith, endswithignorecase, endswith } Sets or gets the searchMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [searchMode]="'startswithignorecase'"> </jqxListBox> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [theme]="'energyblue'"> </jqxListBox> `}) export class AppComponent {
|
valueMember
|
String | Number
|
""
|
Sets or gets the valueMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source" [valueMember]="'value'"> </jqxListBox> `}) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent {
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code example
Bind to the bindingComplete event by type: jqxListBox.
Code examples
Bind to the bindingComplete event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onBindingComplete)="BindingComplete($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent { BindingComplete(event: any): void
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code example
Bind to the change by type: jqxListBox.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
Code examples
Bind to the change event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onChange)="Change($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent {
|
checkChange
|
Event
|
|
This event is triggered when the user checks or unchecks an item.
Code example
Bind to the checkChange event by type: jqxListBox.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
Code examples
Bind to the checkChange event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onCheckChange)="CheckChange($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent { CheckChange(event: any): void
|
dragStart
|
Event
|
|
This event is triggered when the user starts a drag operation.
Code example
Bind to the dragStart event by type: jqxListBox.
Code examples
Bind to the dragStart event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onDragStart)="DragStart($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent { DragStart(event: any): void
|
dragEnd
|
Event
|
|
This event is triggered when the user drops an item.
Code example
Bind to the dragdragEnd nd event by type: jqxListBox.
Code examples
Bind to the dragEnd event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onDragEnd)="DragEnd($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent { DragEnd(event: any): void
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code example
Bind to the select event by type: jqxListBox.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
Code examples
Bind to the select event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onSelect)="Select($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent {
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code example
Bind to the unselect event by type: jqxListBox.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
Code examples
Bind to the unselect event of jqxListBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox (onUnselect)="Unselect($event)" [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent { Unselect(event: any): void
|
|
Name | Return Type | Arguments |
addItem
|
Boolean
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.addItem(layout);
|
beginUpdate
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.beginUpdate();
|
clear
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent;
|
clearSelection
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.clearSelection();
|
checkIndex
|
Void
|
Index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.checkIndex(3);
|
checkItem
|
Void
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.checkItem(Item1);
|
checkAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.checkAll();
|
clearFilter
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.clearFilter();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.destroy();
|
disableItem
|
Void
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.disableItem(Item1);
|
disableAt
|
Void
|
Index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.disableAt(0);
|
enableItem
|
Void
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.enableItem(Item1);
|
enableAt
|
Void
|
Index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.enableAt(1);
|
ensureVisible
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.ensureVisible(1);
|
endUpdate
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.endUpdate();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent;
|
getItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getItems();
|
getSelectedItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getSelectedItems();
|
getCheckedItems
|
Array<Any>
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getCheckedItems();
|
getItem
|
Any
|
Index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getItem();
|
getItemByValue
|
Any
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getItemByValue(Item1);
|
getSelectedItem
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getSelectedItem();
|
getSelectedIndex
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.getSelectedIndex();
|
insertAt
|
Void
|
Item: Any, Index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.insertAt(Item1,0);
|
invalidate
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.invalidate();
|
indeterminateItem
|
Void
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.indeterminateItem(Item);
|
indeterminateIndex
|
Void
|
Index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.indeterminateIndex(0);
|
loadFromSelect
|
Void
|
selector: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.loadFromSelect(select);
|
removeItem
|
Void
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.removeItem(Item1);
|
removeAt
|
Void
|
Index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.removeAt(0);
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent;
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.refresh();
|
selectItem
|
Void
|
Item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.selectItem(Item1);
|
selectIndex
|
Void
|
Index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.selectIndex(1);
|
updateItem
|
Void
|
Item: Any, Value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.updateItem(Item1,Item2);
|
updateAt
|
Void
|
item: Any, index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.updateAt(Item,0);
|
unselectIndex
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.unselectIndex(0);
|
unselectItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.unselectItem(Item);
|
uncheckIndex
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.uncheckIndex(0);
|
uncheckItem
|
Void
|
item: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.uncheckItem(Item1);
|
uncheckAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { this.myListBox.uncheckAll();
|
val
|
String
|
value: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxListBox #myListBox [width]="200" [height]="250" [source]="source"> </jqxListBox> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myListBox') myListBox: jqxListBoxComponent; ngAfterViewInit(): void { let value = this.myListBox.val();
|

Name | Type | Default |
autoHeight
|
Boolean
|
false
|
Sets or gets whether the listbox's height is equal to the sum of each item's height
<template> <JqxListBox ref="myListBox" :source="source" :autoHeight="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
allowDrag
|
Boolean
|
false
|
Enables/disables the dragging of ListBox Items.
<template> <JqxListBox ref="myListBox" :source="source" :allowDrag="true" :allowDrop="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
allowDrop
|
Boolean
|
false
|
Enables/disables the dropping of ListBox Items.
<template> <JqxListBox ref="myListBox" :source="source" :allowDrag="true" :allowDrop="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
checkboxes
|
Boolean
|
false
|
Sets or gets whether the listbox should display a checkbox next to each item.
<template> <JqxListBox ref="myListBox" :source="source" :checkboxes="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
disabled
|
Boolean
|
false
|
Enables/disables the listbox.
<template> <JqxListBox ref="myListBox" :source="source" :disabled="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
displayMember
|
String
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
<template> <JqxListBox ref="myListBox" :source="source" :displayMember="'text'" /> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ { text: "Affogato", value: 0 }, { text: "Americano", value: 1 }, { text: "Bicerin", value: 2 }, { text: "Breve", value: 3 }, { text: "Cafe Bombon", value: 4 }, { text: "Cafe au lait", value: 5 }
|
dropAction
|
String
|
'default'.
|
Sets or gets the drop action when an item is dropped.
Possible Values:
'default'
'copy'-adds a clone of the dropped item
'none'-means that the dropped item will not be added to a new collection and will not be removed from its parent collection
<template> <JqxListBox ref="myListBox" :source="source" :allowDrag="true" :dropAction="'copy'" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
dragStart
|
Function
|
null
|
Callback function which is called when a drag operation starts.
<template> <JqxListBox ref="myListBox" :source="source" :allowDrag="true" :allowDrop="true" :dragStart="dragStart" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { dragStart: function (item) { console.log( 'Dragging: ' + item.label);
|
dragEnd
|
Function
|
null
|
Callback function which is called when a drag operation ends.
<template> <JqxListBox ref="myListBox" :source="source" :allowDrag="true" :allowDrop="true" :dragEnd="dragEnd" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { dragEnd: function (dragItem, dropItem) { console.log( 'Dropping: ' + dragItem.label);
|
enableHover
|
Boolean
|
true
|
Enables/disables the hover state.
<template> <JqxListBox ref="myListBox" :source="source" :enableHover="false" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
enableSelection
|
Boolean
|
true
|
Enables/disables the selection.
<template> <JqxListBox ref="myListBox" :source="source" :enableSelection="false" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
equalItemsWidth
|
Boolean
|
true
|
Sets or gets whether the items width should be equal to the listbox's width.
<template> <JqxListBox ref="myListBox" :source="source" :equalItemsWidth="false" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
filterable
|
Boolean
|
false
|
Determines whether the Filtering is enabled.
<template> <JqxListBox ref="myListBox" :source="source" :filterable="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
filterHeight
|
Number
|
27
|
Determines the Filter's height.
<template> <JqxListBox ref="myListBox" :source="source" :filterable="true" :filterHeight="30" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
filterDelay
|
Number
|
100
|
Determines the Filter's delay. After 100 milliseconds, the widget automatically filters its data based on the filter input's value. To perform filter only on "Enter" key press, set this property to 0.
<template> <JqxListBox ref="myListBox" :source="source" :filterable="true" :filterDelay="300" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
filterPlaceHolder
|
String
|
"Looking for"
|
Determines the Filter input's place holder.
<template> <JqxListBox ref="myListBox" :source="source" :filterable="true" :filterPlaceHolder="'Filtering...'" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
height
|
String | Number
|
null
|
Sets or gets the listbox's height.
<template> <JqxListBox ref="myListBox" :source="source" :height="200" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets whether the checkboxes have three states - checked, unchecked and indeterminate.
<template> <JqxListBox ref="myListBox" :source="source" :checkboxes="true" :hasThreeStates="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
itemHeight
|
Number
|
-1
|
Sets or gets the height of the jqxListBox Items. When the itemHeight == - 1, each item's height is equal to its desired height.
<template> <JqxListBox ref="myListBox" :source="source" :itemHeight="30" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
incrementalSearch
|
Boolean
|
true
|
Sets or gets the incrementalSearch property. An incremental search begins searching as soon as you type the first character of the search string. As you type in the search string, jqxListBox automatically selects the found item.
<template> <JqxListBox ref="myListBox" :source="source" :incrementalSearch="false" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
incrementalSearchDelay
|
Number
|
700
|
Sets ot gets the incrementalSearchDelay property. The incrementalSearchDelay specifies the time-interval in milliseconds after which the previous search string is deleted. The timer starts when you stop typing.
<template> <JqxListBox ref="myListBox" :source="source" :incrementalSearchDelay="150" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
multiple
|
Boolean
|
false
|
Enables/disables the multiple selection. When this property is set to true, the user can select multiple items.
<template> <JqxListBox ref="myListBox" :source="source" :multiple="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
multipleextended
|
Boolean
|
false
|
Enables/disables the multiple selection using Shift and Ctrl keys. When this property is set to true, the user can select multiple items by clicking on item and holding Shift or Ctrl.
<template> <JqxListBox ref="myListBox" :source="source" :multipleextended="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
renderer
|
Function
|
null
|
Callback function which is called when an item is rendered. By using the renderer function, you can customize the look of the list items.
<template> <JqxListBox ref="myListBox" :source="source" :renderer="renderer" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { renderer: function (index, label, value) { return "<i>" + value + "</i>";
|
rendered
|
Function
|
null
|
<template> <JqxListBox ref="myListBox" :source="source" :rendered="rendered" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxListBox ref="myListBox" :source="source" :rtl="true" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
selectedIndex
|
Number
|
-1
|
Sets or gets the selected index.
<template> <JqxListBox ref="myListBox" :source="source" :selectedIndex="2" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
selectedIndexes
|
Object
|
|
<template> <JqxListBox ref="myListBox" :source="source" :multiple="true" :selectedIndexes="selectedIndexes" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { selectedIndexes: { 1: true, 3: true },
|
source
|
Array | Object
|
null
|
Sets or gets the item's source.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
scrollBarSize
|
Number
|
17
|
Sets or gets the scrollbars's size.
<template> <JqxListBox ref="myListBox" :source="source" :scrollBarSize="15" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
searchMode
|
String
|
startswith
|
Sets or gets the item incremental search mode. When the user types some text in a focused ListBox, the jqxListBox widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
<template> <JqxListBox ref="myListBox" :source="source" :searchMode="'contains'" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxListBox ref="myListBox" :source="source" :theme="'material'" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
valueMember
|
String
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
<template> <JqxListBox ref="myListBox" :source="source" :displayMember="'text'" :valueMember="'value'" /> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ { text: "Affogato", value: 0 }, { text: "Americano", value: 1 }, { text: "Bicerin", value: 2 }, { text: "Breve", value: 3 }, { text: "Cafe Bombon", value: 4 }, { text: "Cafe au lait", value: 5 }
|
width
|
String | Number
|
null
|
Sets or gets the listbox's width.
<template> <JqxListBox ref="myListBox" :source="source" :width="200" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxListBox.
<template> <JqxListBox ref="myListBox" @bindingComplete="onBindingComplete($event)" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.source = this.source; }, methods: { onBindingComplete: function (event) { alert( 'do something...');
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxListBox.
<template> <JqxListBox ref="myListBox" @change="onChange($event)" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { onChange: function (event) { alert( 'do something...');
|
checkChange
|
Event
|
|
This event is triggered when the user checks or unchecks an item.
Code examples
Bind to the checkChange event of jqxListBox.
<template> <JqxListBox ref="myListBox" @checkChange="onCheckChange($event)" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.checkboxes = true; }, methods: { onCheckChange: function (event) { alert( 'do something...');
|
dragStart
|
Event
|
|
This event is triggered when the user starts a drag operation.
Code examples
Bind to the dragStart event of jqxListBox.
<template> <JqxListBox ref="myListBox" @dragStart="onDragStart($event)" :source="source" :allowDrag="true" :allowDrop="true"/> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { onDragStart: function (event) { alert( 'do something...');
|
dragEnd
|
Event
|
|
This event is triggered when the user drops an item.
Code examples
Bind to the dragEnd event of jqxListBox.
<template> <JqxListBox ref="myListBox" @dragEnd="onDragEnd($event)" :source="source" :allowDrag="true" :allowDrop="true"/> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue';
export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { onDragEnd: function (event) { alert( 'do something...');
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxListBox.
<template> <JqxListBox ref="myListBox" @select="onSelect($event)" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { onSelect: function (event) { alert( 'do something...');
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxListBox.
<template> <JqxListBox ref="myListBox" @unselect="onUnselect($event)" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { onUnselect: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addItem
|
Item
|
None
|
Adds a new item to the jqxListBox. Returns 'true', if the new item is added or 'false' if the item is not added.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.addItem( 'New Item');
|
beginUpdate
|
None
|
None
|
Stops the ListBox's rendering. That method is usually used when multiple items need to be inserted or removed dynamically.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="beginUpdate()">Begin Update</jqxButton> <jqxButton style="width: 80px;" @click="endUpdate()">End Update</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { beginUpdate: function () { this.$refs.myListBox.beginUpdate(); }, endUpdate: function () { this.$refs.myListBox.endUpdate();
|
clear
|
None
|
None
|
Clears all items.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.clear();
|
clearSelection
|
None
|
None
|
Clears all selected items.
<template> <div> <JqxListBox ref="myListBox" :source="source" :multiple="true"/> <JqxButton style="margin-top: 10px;" :width="100" @click="clearSelection()">Clear Selection</JqxButton> </div> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { clearSelection: function () { this.$refs.myListBox.clearSelection();
|
checkIndex
|
Index
|
None
|
Checks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to check the first item, the 'checkIndex' method should be called with parameter 0.
<template> <div> <JqxListBox ref="myListBox" :source="source" :checkboxes="true"/> <jqxButton style="width: 100px;margin-right:10px;" @click="checkIndex()">Check 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="uncheckIndex()">Uncheck 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { checkIndex: function () { this.$refs.myListBox.checkIndex(3); }, uncheckIndex: function () { this.$refs.myListBox.uncheckIndex(3);
|
checkItem
|
Item
|
None
|
Checks an item.
<template> <div> <JqxListBox ref="myListBox" :source="source" :checkboxes="true" /> <jqxButton style="width: 100px;margin-right:10px;" @click="checkItem()">Check 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="uncheckItem()">Uncheck 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { checkItem: function () { this.$refs.myListBox.checkItem( 'Breve'); }, uncheckItem: function () { this.$refs.myListBox.uncheckItem( 'Breve');
|
checkAll
|
None
|
None
|
Checks all list items when the 'checkboxes' property value is true.
<template> <div> <JqxListBox ref="myListBox" :source="source" :checkboxes="true" /> <jqxButton style="width: 100px;margin-right:10px;" @click="checkAll()">Check All</jqxButton> <jqxButton style="width: 120px;" @click="uncheckAll()">Uncheck All</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { checkAll: function () { this.$refs.myListBox.checkAll(); }, uncheckAll: function () { this.$refs.myListBox.uncheckAll();
|
clearFilter
|
None
|
None
|
Clears the widget's filter when filtering is applied.
<template> <div> <JqxListBox ref="myListBox" :source="source" :filterable="true" /> <JqxButton style="margin-top: 10px;" :width="100" @click="clearFilter()">Clear Filter</JqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { clearFilter: function () { this.$refs.myListBox.clearFilter();
|
destroy
|
None
|
None
|
Destroy the jqxListBox widget. The destroy method removes the jqxListBox widget from the web page.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.destroy();
|
disableItem
|
Item
|
None
|
Disables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="enableItem()">Enable 'Breve'</jqxButton> <jqxButton style="width: 100px;" @click="disableItem()">Disable 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { enableItem: function () { this.$refs.myListBox.enableItem( 'Breve'); }, disableItem: function () { this.$refs.myListBox.disableItem( 'Breve');
|
disableAt
|
Index
|
None
|
Disables an item by index. Index is a number.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="enableItem()">Enable 'Breve'</jqxButton> <jqxButton style="width: 100px;" @click="disableItem()">Disable 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { enableItem: function () { this.$refs.myListBox.enableAt(3); }, disableItem: function () { this.$refs.myListBox.disableAt(3);
|
enableItem
|
Item
|
None
|
Enables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="enableItem()">Enable 'Breve'</jqxButton> <jqxButton style="width: 100px;" @click="disableItem()">Disable 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { enableItem: function () { this.$refs.myListBox.enableItem( 'Breve'); }, disableItem: function () { this.$refs.myListBox.disableItem( 'Breve');
|
enableAt
|
Index
|
None
|
Enables a disabled item by index. Index is a number.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="enableItem()">Enable 'Breve'</jqxButton> <jqxButton style="width: 100px;" @click="disableItem()">Disable 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { enableItem: function () { this.$refs.myListBox.enableAt(3); }, disableItem: function () { this.$refs.myListBox.disableAt(3);
|
ensureVisible
|
item
|
None
|
Ensures that an item is visible. Index is number. If necessary scrolls to the item. Insted of Index, you can also pass the item's value.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.ensureVisible(8);
|
endUpdate
|
None
|
None
|
Starts the ListBox's rendering and refreshes the ListBox. That method is usually used in combination with the 'beginUpdate' method when multiple items need to be inserted or removed dynamically.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="beginUpdate()">Begin Update</jqxButton> <jqxButton style="width: 80px;" @click="endUpdate()">End Update</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { beginUpdate: function () { this.$refs.myListBox.beginUpdate(); }, endUpdate: function () { this.$refs.myListBox.endUpdate();
|
focus
|
None
|
None
|
Sets the focus to the jqxListBox.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.focus();
|
getItems
|
None
|
Array
|
Gets all items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { const value = this.$refs.myListBox.getItems();
|
getSelectedItems
|
None
|
Arrays
|
Gets the selected ListBox items. The returned value is an Array of items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { const value = this.$refs.myListBox.getSelectedItems();
|
getCheckedItems
|
None
|
Array
|
Gets the checked ListBox items. Returns an Array of checked items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.checkboxes = true; const value = this.$refs.myListBox.getCheckedItems();
|
getItem
|
Index
|
Object
|
Gets an item by index. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { const value = this.$refs.myListBox.getItem(3);
|
getItemByValue
|
Item
|
Object
|
Gets an item by its value. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { const value = this.$refs.myListBox.getItemByValue( 'Breve');
|
getSelectedItem
|
None
|
Object
|
Gets the selected item. The returned value is an object or null(if there is no selected item).
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { const value = this.$refs.myListBox.getSelectedItem();
|
getSelectedIndex
|
None
|
Number
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { const value = this.$refs.myListBox.getSelectedIndex();
|
insertAt
|
Item, Index
|
None
|
Inserts a new item to the jqxListBox. Returns 'true', if the new item is inserted or false if the insertaion fails. The first parameter is object or string - the new item. The second parameter is number - the item's index.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.insertAt( 'New Item',1);
|
invalidate
|
None
|
None
|
The invalidate method will repaint the jqxListBox's items.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.invalidate();
|
indeterminateItem
|
Item
|
None
|
Indeterminates an item.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.checkboxes = true; this.$refs.myListBox.indeterminateItem( 'Breve');
|
indeterminateIndex
|
Index
|
None
|
indeterminates a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to indeterminate the first item, the 'indeterminateIndex' method should be called with parameter 0.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.checkboxes = true; this.$refs.myListBox.indeterminateIndex(3);
|
loadFromSelect
|
selector
|
None
|
Method: loadFromSelect
<template> <div> <div style="float: left;"> <JqxListBox ref="myListBox" :width="200" :height="250"> </JqxListBox> </div> <div style="float: left;"> <select style="height: 250px; width: 200px; margin-left: 30px;" size="2" id="select"> <option>Affogato</option> <option>Americano </option> <option>Bicerin </option> <option>Breve </option> <option>Café Bombón </option> <option>Caffé Corretto </option> <option>Café Crema </option> <option>Caffé Latte </option> <option>Caffé macchiato </option> <option>Café mélange </option> <option>Coffee milk </option> <option>Cafe mocha </option> <option>Cappuccino </option> <option>Carajillo </option> <option>Cuban espresso </option> <option>Espresso </option> <option selected="selected">The Flat White </option> <option>Frappuccino </option> <option>Galao </option> <option>Greek frappé coffee </option> <option>Iced Coffee </option> <option>Indian filter coffee </option> <option>Instant coffee </option> <option>Irish coffee </option> <option>Liqueur coffee </option> </select> </div> </div></template><script> import JqxListBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue"; export default { components: { JqxListBox }, beforeCreate: function () { this.updating = false; }, mounted: function () { this.$refs.myListBox.loadFromSelect( 'select');
|
removeItem
|
Item
|
None
|
Removes an item from the listbox. Parameter type: object returned by the "getItem" method or string - the value of an item. Returns 'true', if the item is removed or 'false', if the item is not removed.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.removeItem( 'Breve');
|
removeAt
|
Index
|
None
|
Removes an item from the listbox. Parameter type: number - the index of the item. The method returns 'true', if the item is removed or 'false', if the item is not removed.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.removeAt(3);
|
render
|
None
|
None
|
Renders the jqxListBox widget.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.render();
|
refresh
|
None
|
None
|
Refreshes the jqxListBox widget. The refresh method will update the jqxListBox's layout, size and data.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.refresh();
|
selectItem
|
Item
|
None
|
Selects an item.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="selectItem()">Select 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="unselectItem()">Unselect 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { selectItem: function () { this.$refs.myListBox.selectItem( 'Breve'); }, unselectItem: function () { this.$refs.myListBox.unselectItem( 'Breve');
|
selectIndex
|
Index
|
None
|
Selects item. Index is number. The index is zero-based, i.e to select the first item, the 'selectIndex' method should be called with parameter 0.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="selectItem()">Select 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="unselectItem()">Unselect 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { selectItem: function () { this.$refs.myListBox.selectIndex(3); }, unselectItem: function () { this.$refs.myListBox.unselectIndex(3);
|
updateItem
|
Item, Value
|
None
|
Updates an item. The first parameter is the new item. The second parameter could be an existing item or the value of an existing item.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.updateItem( 'New Breve','Breve');
|
updateAt
|
item, index
|
None
|
Updates an item. The first parameter is the new item. The second parameter is the index of the item to be updated.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.updateAt( 'New Breve',3);
|
unselectIndex
|
index
|
None
|
Unselects item by index. The index is zero-based, i.e to select the first item, the 'unselectIndex' method should be called with parameter 0.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="selectItem()">Select 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="unselectItem()">Unselect 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { selectItem: function () { this.$refs.myListBox.selectIndex(3); }, unselectItem: function () { this.$refs.myListBox.unselectIndex(3);
|
unselectItem
|
item
|
None
|
Unselects an item.
<template> <div> <JqxListBox ref="myListBox" :source="source" /> <jqxButton style="width: 100px;margin-right:10px;" @click="selectItem()">Select 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="unselectItem()">Unselect 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { selectItem: function () { this.$refs.myListBox.selectItem( 'Breve'); }, unselectItem: function () { this.$refs.myListBox.unselectItem( 'Breve');
|
uncheckIndex
|
index
|
None
|
Unchecks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to uncheck the first item, the 'uncheckIndex' method should be called with parameter 0.
<template> <div> <JqxListBox ref="myListBox" :source="source" :checkboxes="true"/> <jqxButton style="width: 100px;margin-right:10px;" @click="checkIndex()">Check 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="uncheckIndex()">Uncheck 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { checkIndex: function () { this.$refs.myListBox.checkIndex(3); }, uncheckIndex: function () { this.$refs.myListBox.uncheckIndex(3);
|
uncheckItem
|
item
|
None
|
Unchecks an item.
<template> <div> <JqxListBox ref="myListBox" :source="source" :checkboxes="true" /> <jqxButton style="width: 100px;margin-right:10px;" @click="checkItem()">Check 'Breve'</jqxButton> <jqxButton style="width: 120px;" @click="uncheckItem()">Uncheck 'Breve'</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { checkItem: function () { this.$refs.myListBox.checkItem( 'Breve'); }, uncheckItem: function () { this.$refs.myListBox.uncheckItem( 'Breve');
|
uncheckAll
|
None
|
None
|
Unchecks all list items when the 'checkboxes' property value is true.
<template> <div> <JqxListBox ref="myListBox" :source="source" :checkboxes="true" /> <jqxButton style="width: 100px;margin-right:10px;" @click="checkAll()">Check All</jqxButton> <jqxButton style="width: 120px;" @click="uncheckAll()">Uncheck All</jqxButton> </div> </template> <script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxListBox, JqxButton }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, methods: { checkAll: function () { this.$refs.myListBox.checkAll(); }, uncheckAll: function () { this.$refs.myListBox.uncheckAll();
|
val
|
value
|
String
|
Sets or gets the selected value.
<template> <JqxListBox ref="myListBox" :source="source" /> </template>
<script> import JqxListBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxlistbox.vue'; export default { components: { JqxListBox }, data: function () { return { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } }, mounted: function () { this.$refs.myListBox.selectedIndex = 3; const value = this.$refs.myListBox.val();
|

Name | Type | Default |
autoHeight
|
boolean
|
false
|
Sets or gets whether the listbox's height is equal to the sum of each item's height
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} autoHeight={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
allowDrag
|
boolean
|
false
|
Enables/disables the dragging of ListBox Items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} allowDrag={true} allowDrop={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
allowDrop
|
boolean
|
false
|
Enables/disables the dropping of ListBox Items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} allowDrag={true} allowDrop={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkboxes
|
boolean
|
false
|
Sets or gets whether the listbox should display a checkbox next to each item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} checkboxes={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables/disables the listbox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
number | string
|
""
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
|
dropAction
|
ListBoxDropAction
|
'default'.
|
ListBoxDropAction: "default" | "copy" | "none"
Sets or gets the drop action when an item is dropped.
Possible Values:
'default'
'copy'-adds a clone of the dropped item
'none'-means that the dropped item will not be added to a new collection and will not be removed from its parent collection
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} allowDrag={true} dropAction={ 'copy'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragStart
|
(item:ListBoxDragStart['item']) => boolean
|
null
|
Interface ListBoxDragStart { item?: object; }
Callback function which is called when a drag operation starts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { dragStart: (item: object): any => { console.log( 'Dragging: ' + item.label); }, source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} allowDrag={true} allowDrop={true} dragStart={this.state.dragStart} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragEnd
|
(dragItem: ListBoxDragEnd['dragItem'], dropItem: ListBoxDragEnd['dropItem']) => boolean
|
null
|
Interface ListBoxDragEnd { dragItem?: object; dropItem?: object; }
Callback function which is called when a drag operation ends.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { dragEnd: (dragItem: object, dropItem: object): any => { console.log( 'Dropping: ' + dragItem.label); }, source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} allowDrag={true} allowDrop={true} dragEnd={this.state.dragEnd} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableHover
|
boolean
|
true
|
Enables/disables the hover state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} enableHover={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableSelection
|
boolean
|
true
|
Enables/disables the selection.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} enableSelection={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
equalItemsWidth
|
boolean
|
true
|
Sets or gets whether the items width should be equal to the listbox's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} equalItemsWidth={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterable
|
boolean
|
false
|
Determines whether the Filtering is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} filterable={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterHeight
|
number
|
27
|
Determines the Filter's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} filterable={true} filterHeight={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterDelay
|
number | string
|
100
|
Determines the Filter's delay. After 100 milliseconds, the widget automatically filters its data based on the filter input's value. To perform filter only on "Enter" key press, set this property to 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} filterable={true} filterDelay={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
filterPlaceHolder
|
number | string
|
"Looking for"
|
Determines the Filter input's place holder.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} filterable={true} filterPlaceHolder={ 'Filtering...'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the listbox's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} height={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hasThreeStates
|
boolean
|
false
|
Sets or gets whether the checkboxes have three states - checked, unchecked and indeterminate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} checkboxes={true} hasThreeStates={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
itemHeight
|
number
|
-1
|
Sets or gets the height of the jqxListBox Items. When the itemHeight == - 1, each item's height is equal to its desired height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} itemHeight={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
incrementalSearch
|
boolean
|
true
|
Sets or gets the incrementalSearch property. An incremental search begins searching as soon as you type the first character of the search string. As you type in the search string, jqxListBox automatically selects the found item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} incrementalSearch={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
incrementalSearchDelay
|
number | string
|
700
|
Sets ot gets the incrementalSearchDelay property. The incrementalSearchDelay specifies the time-interval in milliseconds after which the previous search string is deleted. The timer starts when you stop typing.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} incrementalSearchDelay={150} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
multiple
|
boolean
|
false
|
Enables/disables the multiple selection. When this property is set to true, the user can select multiple items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} multiple={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
multipleextended
|
boolean
|
false
|
Enables/disables the multiple selection using Shift and Ctrl keys. When this property is set to true, the user can select multiple items by clicking on item and holding Shift or Ctrl.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} multipleextended={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
renderer
|
(index: ListBoxRenderer['index'], label: ListBoxRenderer['label'], value: ListBoxRenderer['value']) => string
|
null
|
Interface ListBoxRenderer { index?: number; label?: string | number; value?: string | number; }
Callback function which is called when an item is rendered. By using the renderer function, you can customize the look of the list items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { renderer: (index: number, label: string | number, value: string | number): any => { return "<i>" + value + "</i>"; }, source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} renderer={this.state.renderer} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rendered
|
() => any
|
null
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { rendered: (): any => { alert( 'rendered!') }, source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} rendered={this.state.rendered} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectedIndex
|
number | string
|
-1
|
Sets or gets the selected index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} selectedIndex={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectedIndexes
|
any
|
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { selectedIndexes: { 1: true, 3: true }, source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} multiple={true} selectedIndexes={this.state.selectedIndexes} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
Array<any>
|
null
|
Sets or gets the item's source.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollBarSize
|
number
|
17
|
Sets or gets the scrollbars's size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} scrollBarSize={15} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
searchMode
|
ListBoxSearchMode
|
startswith
|
ListBoxSearchMode: "none" | "contains" | "containsignorecase" | "equals" | "equalsignorecase" | "startswithignorecase" | "startswith" | "endswithignorecase" | "endswith"
Sets or gets the item incremental search mode. When the user types some text in a focused ListBox, the jqxListBox widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} searchMode={ 'contains'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
number | string
|
""
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
|
width
|
string | number
|
null
|
Sets or gets the listbox's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} width={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
bindingComplete
|
Event
|
|
This event is triggered when the data binding operation is completed.
Code examples
Bind to the bindingComplete event of jqxListBox.
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxListBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} onChange={this.onChange} source={this.state.source} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checkChange
|
Event
|
|
This event is triggered when the user checks or unchecks an item.
Code examples
Bind to the checkChange event of jqxListBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.setOptions({ checkboxes: true }); } public render() { return ( <JqxListBox ref={this.myListBox} onCheckChange={this.onCheckChange} source={this.state.source} /> ); } private onCheckChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragStart
|
Event
|
|
This event is triggered when the user starts a drag operation.
Code examples
Bind to the dragStart event of jqxListBox.
|
dragEnd
|
Event
|
|
This event is triggered when the user drops an item.
Code examples
Bind to the dragEnd event of jqxListBox.
|
select
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the select event of jqxListBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} onSelect={this.onSelect} source={this.state.source} /> ); } private onSelect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselect
|
Event
|
|
This event is triggered when the user unselects an item.
Code examples
Bind to the unselect event of jqxListBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public render() { return ( <JqxListBox ref={this.myListBox} onUnselect={this.onUnselect} source={this.state.source} /> ); } private onUnselect(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addItem
|
Item
|
|
Adds a new item to the jqxListBox. Returns 'true', if the new item is added or 'false' if the item is not added.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.addItem( 'New Item'); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
beginUpdate
|
None
|
|
Stops the ListBox's rendering. That method is usually used when multiple items need to be inserted or removed dynamically.
|
clear
|
None
|
|
Clears all items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.clear(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
clearSelection
|
None
|
|
Clears all selected items.
|
checkIndex
|
Index
|
|
Checks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to check the first item, the 'checkIndex' method should be called with parameter 0.
|
checkItem
|
Item
|
|
|
checkAll
|
None
|
|
Checks all list items when the 'checkboxes' property value is true.
|
clearFilter
|
None
|
|
Clears the widget's filter when filtering is applied.
|
destroy
|
None
|
|
Destroy the jqxListBox widget. The destroy method removes the jqxListBox widget from the web page.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.destroy(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableItem
|
Item
|
|
Disables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
|
disableAt
|
Index
|
|
Disables an item by index. Index is a number.
|
enableItem
|
Item
|
|
Enables an item. Item is an object.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
|
enableAt
|
Index
|
|
Enables a disabled item by index. Index is a number.
|
ensureVisible
|
item
|
|
Ensures that an item is visible. Index is number. If necessary scrolls to the item. Insted of Index, you can also pass the item's value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.ensureVisible(8); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
endUpdate
|
None
|
|
Starts the ListBox's rendering and refreshes the ListBox. That method is usually used in combination with the 'beginUpdate' method when multiple items need to be inserted or removed dynamically.
|
focus
|
None
|
|
Sets the focus to the jqxListBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.focus(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItems
|
None
|
|
Gets all items. The returned value is an array of Items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getItems(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelectedItems
|
None
|
|
Gets the selected ListBox items. The returned value is an Array of items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getSelectedItems(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getCheckedItems
|
None
|
|
Gets the checked ListBox items. Returns an Array of checked items.
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getCheckedItems(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItem
|
Index
|
|
Gets an item by index. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getItem(3); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItemByValue
|
Item
|
|
Gets an item by its value. The returned value is an object with the following fields:
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getItemByValue( 'Breve'); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelectedItem
|
None
|
|
Gets the selected item. The returned value is an object or null(if there is no selected item).
- label - gets item's label.
- value - gets the item's value.
- disabled - gets whether the item is enabled/disabled.
- checked - gets whether the item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - gets the item's display html. This can be used instead of label.
- index - gets the item's index.
- group - gets the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getSelectedItem(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelectedIndex
|
None
|
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.getSelectedIndex(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
insertAt
|
Item, Index
|
|
Inserts a new item to the jqxListBox. Returns 'true', if the new item is inserted or false if the insertaion fails. The first parameter is object or string - the new item. The second parameter is number - the item's index.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.insertAt( 'New Item',1); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
invalidate
|
None
|
|
The invalidate method will repaint the jqxListBox's items.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.invalidate(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminateItem
|
Item
|
|
Indeterminates an item.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.indeterminateItem( 'Breve'); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminateIndex
|
Index
|
|
indeterminates a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to indeterminate the first item, the 'indeterminateIndex' method should be called with parameter 0.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.indeterminateIndex(3); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
loadFromSelect
|
selector
|
|
|
removeItem
|
Item
|
|
Removes an item from the listbox. Parameter type: object returned by the "getItem" method or string - the value of an item. Returns 'true', if the item is removed or 'false', if the item is not removed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.removeItem( 'Breve'); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeAt
|
Index
|
|
Removes an item from the listbox. Parameter type: number - the index of the item. The method returns 'true', if the item is removed or 'false', if the item is not removed.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.removeAt(3); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the jqxListBox widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.render(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the jqxListBox widget. The refresh method will update the jqxListBox's layout, size and data.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.refresh(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectItem
|
Item
|
|
|
selectIndex
|
Index
|
|
Selects item. Index is number. The index is zero-based, i.e to select the first item, the 'selectIndex' method should be called with parameter 0.
|
updateItem
|
Item, Value
|
|
Updates an item. The first parameter is the new item. The second parameter could be an existing item or the value of an existing item.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.updateItem( 'New Breve','Breve'); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
updateAt
|
item, index
|
|
Updates an item. The first parameter is the new item. The second parameter is the index of the item to be updated.
- label - determines the item's label.
- value - determines the item's value.
- disabled - determines whether the item is enabled/disabled.
- checked - determines whether item is checked/unchecked.
- hasThreeStates - determines whether the item's checkbox supports three states.
- html - determines the item's display html. This can be used instead of label.
- group - determines the item's group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.updateAt( 'New Breve',3); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselectIndex
|
index
|
|
Unselects item by index. The index is zero-based, i.e to select the first item, the 'unselectIndex' method should be called with parameter 0.
|
unselectItem
|
item
|
|
|
uncheckIndex
|
index
|
|
Unchecks a list item when the 'checkboxes' property value is true. The index is zero-based, i.e to uncheck the first item, the 'uncheckIndex' method should be called with parameter 0.
|
uncheckItem
|
item
|
|
|
uncheckAll
|
None
|
|
Unchecks all list items when the 'checkboxes' property value is true.
|
val
|
value
|
|
Sets or gets the selected value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxListBox, { IListBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxlistbox'; class App extends React.PureComponent<{}, IListBoxProps> { private myListBox = React.createRef<JqxListBox>(); constructor(props: {}) { super(props); this.state = { source: [ "Affogato", "Americano", "Bicerin", "Breve", "Cafe Bombon", "Cafe au lait", "Caffe Corretto", "Cafe Crema", "Caffe Latte" ] } } public componentDidMount(): void { this.myListBox.current!.val(); } public render() { return ( <JqxListBox ref={this.myListBox} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|